List Documents

List the authenticated API user's documents using cursor pagination.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

cursorstringOptional
Opaque cursor returned by the previous page.
limitintegerOptional
Number of documents to return. Defaults to 50 and cannot exceed 100.
folder_idUUIDOptional
Return only documents in this folder. Omit to list documents across all folders.
archivedbooleanOptional
Return archived or active documents. Defaults to false.
typeenumOptional
Optionally filter by transcript or text document type.
Allowed values:

Response

This endpoint returns an object.
documentslist of objects
Documents in this page.
next_cursorstringOptional
Opaque cursor for the next page, or null when this is the last page.

Errors

400
Invalid Cursor
401
Authentication Error
404
Folder Not Found
429
Rate Limit Error